package com.cyksj.model.request;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * @author chan
 * @className BaiDuConversionType
 * @description 百度数据回传对象
 * @date 2021/2/22 3:53 下午
 */
public class BaiDuConversionType implements Serializable {
    /*
       落地页Url
    */
    private String logidUrl;

    /*
        转化类型
     */

    private Integer newType;

    /**
     * unix时间戳（精确到秒）
     */
    private Long convertTime;

    public String getLogidUrl() {
        return logidUrl;
    }

    public void setLogidUrl(String logidUrl) {
        this.logidUrl = logidUrl;
    }

    public Integer getNewType() {
        return newType;
    }

    public void setNewType(Integer newType) {
        this.newType = newType;
    }

    public Long getConvertTime() {
        return convertTime;
    }

    public void setConvertTime(Long convertTime) {
        this.convertTime = convertTime;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }
}
